from datetime import datetime, timedelta
from aggregate_glm_grids import aggregate_glm_grids
import os

dt = datetime(2023, 10, 19, 15, 11)

enddt = datetime(2023, 10, 19, 15, 18)

while dt < enddt:
    print(dt)

    outdir = os.path.join(
        "/ships19/grain/probsevere/lightning/",
        (dt + timedelta(minutes=1)).strftime("%Y/%Y%m%d"),
        "GLM",
        "goes_east",
    )

    s = aggregate_glm_grids(
        dt.strftime("%Y%j%H%M"), "/ships19/grain/jcintineo/GLM/fix/ge/", outdir=outdir
    )

    dt = dt + timedelta(minutes=1)
