import numpy as np
from lightningcast.predict_ltg import get_abi_data
from datetime import datetime, timedelta

ch = "09"
remotedir = "/arcdata/goes/grb/goes16/"
sector = "RadF"

means = []
stds = []

months = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]
hours = [0, 6, 12, 18]
dates = [15]
for m in months:
    for d in dates:
        for h in hours:

            dt = datetime(2020, m, d, h, 0)
            print(dt)

            data = get_abi_data(dt, ch, remotedir, sector)

            means.append(np.mean(data))
            stds.append(np.std(data))


# print(means)
# print(stds)
print(np.mean(means))
print(np.mean(stds))
