import numpy as np
from datetime import datetime, timedelta
import pickle
import sys, os

filelist = "samplelists/training/train_2.5%.pkl"

fl = pickle.load(open(filelist, "rb"))

divfactor = 1

print("nsamples: ", len(fl))

dts = np.array([s["abidt"] for s in fl])

new_dts = []
for dt in dts:
    if dt not in new_dts:
        new_dts.append(dt)
new_dts = np.array(new_dts)

jan = np.where((datetime(2019, 1, 1) <= new_dts) & (new_dts <= datetime(2019, 1, 31)))[
    0
]
feb = np.where((datetime(2019, 2, 1) <= new_dts) & (new_dts <= datetime(2019, 2, 28)))[
    0
]
mar = np.where((datetime(2019, 3, 1) <= new_dts) & (new_dts <= datetime(2019, 3, 31)))[
    0
]
apr = np.where((datetime(2019, 4, 1) <= new_dts) & (new_dts <= datetime(2019, 4, 30)))[
    0
]
may = np.where((datetime(2019, 5, 1) <= new_dts) & (new_dts <= datetime(2019, 5, 31)))[
    0
]
jun = np.where((datetime(2019, 6, 1) <= new_dts) & (new_dts <= datetime(2019, 6, 30)))[
    0
]
jul = np.where((datetime(2019, 7, 1) <= new_dts) & (new_dts <= datetime(2019, 7, 31)))[
    0
]
aug = np.where((datetime(2019, 8, 1) <= new_dts) & (new_dts <= datetime(2019, 8, 31)))[
    0
]
sep = np.where((datetime(2019, 9, 1) <= new_dts) & (new_dts <= datetime(2019, 9, 30)))[
    0
]
octo = np.where(
    (datetime(2019, 10, 1) <= new_dts) & (new_dts <= datetime(2019, 10, 31))
)[0]
nov = np.where(
    (datetime(2019, 11, 1) <= new_dts) & (new_dts <= datetime(2019, 11, 30))
)[0]
dec = np.where(
    (datetime(2019, 12, 1) <= new_dts) & (new_dts <= datetime(2019, 12, 31))
)[0]

print("unique datetimes:")
print(
    len(jan) // divfactor,
    len(feb) // divfactor,
    len(mar) // divfactor,
    len(apr) // divfactor,
    len(may) // divfactor,
    len(jun) // divfactor,
    len(jul) // divfactor,
    len(aug) // divfactor,
    len(sep) // divfactor,
    len(octo) // divfactor,
    len(nov) // divfactor,
    len(dec) // divfactor,
)
