#!/bin/bash

glmpatt=/apollo/grain/saved_probsevere_data/lightning//%Y/%Y%m%d/GLM/goes_east/agg/%Y%m%d-%H%M*.netcdf
outroot=/ships19/grain/probsevere/LC/tests/eval2021/v2_c02051315_2019_allnegandpos/
model=/ships19/grain/probsevere/LC/tests/2019_all/c02051315_16fm_ns/fit_conv_model.h5 #static/fit_conv_model.h5

mkdir -p $outroot
echo $model > $outroot/model.txt

#months=('jan21 feb21 mar21 apr21 may21 jun21 jul21 aug21 sep21 oct21 nov21 dec21')
months=('jun21')
for month in $months; do
  
  python predict_ltg.py ${month}.txt ${model} -o ${outroot}/${month} -ppl -ls -pbs 5 40 -gp $glmpatt

done
